{% extends "base.html" %}
{% block title %}Schema list{% endblock %}
{% block content %}
    <nav class="breadcrumb" aria-label="breadcrumbs">
        <ul>
            <li><a href="{% url 'home' %}">Home</a></li>
            <li><a href="{% url 'schema:list_view' %}">Schema list</a></li>
            <li class="is-active">Update schema #{{ schema.pk }}</li>
        </ul>
    </nav>

    <form method="post">
        {% csrf_token %}
        <div class="level-right">
            <button class="button is-primary level-item" type="submit">Submit</button>
        </div>
        <label class="label">Name</label>
        <div class="field">
            <div class="control">
                <input class="input" type="text" name="schema_form-name" value="{{ schema.name }}">
            </div>
        </div>
        <label class="label">Column separator</label>
        <div class="field">
            <div class="control">
                <div class="select">
                    <select name="schema_form-column_separator">
                        {% for item in column_separator %}
                            <option {% if schema.column_separator == item %}
                                selected{% endif %} value="{{ item }}">{{ item }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <label class="label">String character</label>
        <div class="field">
            <div class="control">
                <div class="select">
                    <select name="schema_form-string_character">
                        {% for item in string_character %}
                            <option {% if schema.string_character == item %}
                                selected{% endif %} value="{{ item }}">{{ item }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <br>
        <div class="columns">
            <div class="column">
                <label class="label">Column name</label>
            </div>
            <div class="column">
                <label class="label">Type</label>
            </div>
            <div class="column">
                <label class="label">From</label>
            </div>
            <div class="column">
                <label class="label">To</label>
            </div>
            <div class="column">
                <label class="label">Order</label>
            </div>
        </div>
        <div class="columns-container">
            {% for item in schema_columns %}
                <div class="columns">
                    <input class="input" type="hidden" name="schema_column-{{ item.pk }}-id" value="{{ item.pk }}">
                    <div class="column field control">
                        <input class="input" type="text" name="schema_column-{{ item.pk }}-name"
                               value="{{ item.name }}">
                    </div>
                    <div class="column field control">
                        <div class="select">
                            <select name="schema_column-{{ item.pk }}-schema_type_id">
                                {% for type in schema_types %}
                                    <option {% if item.schema_type == type %}
                                        selected{% endif %} value="{{ type.pk }}"
                                        data-type="{{ type.type }}">{{ type.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    {% with type=item.schema_type.type %}
                        {% if type == 'paragraph' or type == 'pyint' %}
                            <div class="column field control min" data-idx="{{ item.pk }}">
                                <input class="input" name="schema_column-{{ item.pk }}-min" type="number"
                                       value="{{ item.min }}">
                            </div>
                            <div class="column field control max" data-idx="{{ item.pk }}">
                                <input class="input" name="schema_column-{{ item.pk }}-max" type="number"
                                       value="{{ item.max }}">
                            </div>
                        {% else %}
                            <div class="column field control min" data-idx="{{ item.pk }}"></div>
                            <div class="column field control max" data-idx="{{ item.pk }}"></div>
                        {% endif %}
                    {% endwith %}
                    <div class="column">
                        <div class="columns">
                            <div class="column field control">
                                <input class="input" name="schema_column-{{ item.pk }}-order" type="number"
                                       value="{{ item.order }}">
                            </div>
                            <div class="column">
                                <a onclick="return confirm('Are you sure you want to delete this item?');">
                                    <button type="submit" name='delete_schema_column-{{ item.pk }}'>Delete</button>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
        <button class="button is-primary add-column">Add column</button>
    </form>

{% endblock %}
